<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="<?php echo base_url()?>assets/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="<?php echo base_url()?>assets/css/dataTables.bootstrap4.min.css">
    <link data-require="sweet-alert@*" data-semver="0.4.2" rel="stylesheet" href="<?php echo base_url()?>assets/css/sweetalert.min.css" />

    <link rel="icon" type="image/png" href="../../assets/images/favicon.png" />

    <title>Aplikasi UMKM</title>

  </head>
  <body>

        <nav class="navbar navbar-expand-lg navbar-dark bg-primary">    
            <div class="container">
                <a class="navbar-brand" href="#">
                    <img src="../../assets/images/logo-white.png" width="100" alt="">
                </a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>

                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <ul class="navbar-nav mr-auto">
                        
                        </ul>
                        <form methode="POST" action="../login/logout" class="form-inline my-2 my-lg-0" >
                        <button class="btn btn-outline-warning btn-sm my-2 my-sm-0" type="submit">Logout</button>
                        </form>
                    </div>
             </div>
        </nav>

    <div class="container">
       <div class="row">
           <div class="col-md-3" style="cursor:pointer;">
                <div class="card">
                <div class="card-header text-center">
                    <img src="../../assets/images/<?php echo $user_logged->foto_user ?>" width="125" /><br>
                    <strong><?php echo $user_logged->nama ?></strong>
                </div>
                    <ul class="list-group list-group-flush">
                    <a href="<?php echo base_url('index.php/')?>admin/dashboard" style="text-decoration:none;">
                        <li class="list-group-item bg-primary text-white border-bottom">Data Pemilik UMKM</li>
                    </a>
                    <a href="<?php echo base_url('index.php/')?>admin/umkm" style="text-decoration:none;">
                        <li class="list-group-item text-dark border-bottom">Data UMKM</li>
                    </a>
                    <a href="<?php echo base_url('index.php/')?>admin/absensi" style="text-decoration:none;">
                        <li class="list-group-item text-dark border-bottom">Absensi</li>
                    </a>
                    <a href="<?php echo base_url('index.php/')?>admin/laporan" style="text-decoration:none;">
                        <li class="list-group-item text-dark border-bottom">Laporan</li>
                    </a>
                    <a href="<?php echo base_url('index.php/')?>admin/setting" style="text-decoration:none;">
                        <li class="list-group-item text-dark">Setting</li>
                    </a>
                    </ul>
                </div>
           </div>
           <div class="col col-md-9 col-lg-9 col-sm-12 col-12" >
                <div class="card">
                    <h5 class="card-header">Pemilik UMKM</h5>
                    <div class="card-body">
                        <div>
                        <ul class="nav nav-tabs">
                            <li class="nav-item">
                                <a href="<?php echo base_url('index.php/')?>admin/tambahpemilik" class="nav-link">Tambah Data</a>
                            </li>
                            <li class="nav-item">
                                <a href="<?php echo base_url('index.php/')?>admin/dashboard" class="nav-link">Data Pemilik</a>
                            </li>

                            <li class="nav-item">
                                <a href="<?php echo base_url('index.php/')?>admin/dashboard" class="nav-link active">
                                <strong><?php echo $pemilik->nama ?></strong> > Tambah Umkm</a>
                            </li>
                            
                        </ul>

                        <div class="mt-3">
                            <form action="" method="POST" enctype="multipart/form-data" class="needs-validation">
                                <div class="row">
                                    <?php
                                                    if(isset($error_upload)){
                                                ?>
                                                    <div class="col col-md-12">
                                                        <div class="alert alert-danger" role="alert">
                                                            Error : <?php echo $error_upload ?><br>
                                                            <p>
                                                                Data UMKM <strong>telah tersimpan</strong> namun foto UMKM telah <strong>dipasang dengan foto Default</strong>
                                                            </p>
                                                        </div>
                                                    </div>
                                                <?php
                                                    }
                                                ?>
                                    <?php
                                        if(isset($msg)){
                                            if($msg=='success'){
                                    ?>
                                        <div class="col col-md-12">
                                            <div class="alert alert-success" role="alert">Data berhasil tersimpan !</div>
                                        </div>
                                    <?php            
                                            } else {

                                    ?> 
                                        <div class="col col-md-12">
                                            <div class="alert alert-danger" role="alert">Gagal, Data sudah ada !</div>
                                        </div>
                                    <?php
                                            }
                                        }
                                    ?>
                                    <div class="col col-md-4 col-lg-4 col-sm-12 col-12"> 
                                        <div class="form-group">
                                            <label for="namaumkm">Nama Umkm</label>
                                            <input type="text" name="nama" class="form-control" id="namaumkm" placeholder="Nama Umkm" required>
                                        </div>

                                        <div class="form-group">
                                            <label for="jenis">Jenis Usaha</label>
                                            <select name="jenis" class="form-control" id="jenis" required>
                                            <option value="">--Pilih Jenis--</option>
                                            <?php foreach($daftarjenis as $jenis){?>
                                            <option value="<?php echo $jenis->id_jenis?>"><?php echo $jenis->jenis?></option>
                                            <?php } ?>
                                            </select>
                                        </div>

                                        <div class="form-group">
                                            <label for="aset">Aset Awal</label>
                                            <input type="number" name="aset" class="form-control" min="0" id="aset" placeholder="Aset Awal" required>
                                        </div>

                                        <div class="form-group">
                                            <label for="omset">Omset Tahunan Awal</label>
                                            <input type="number" name="omset" class="form-control" min="0" id="omset" placeholder="Omset Awal" required>
                                        </div>

                                    </div>
                                    <div class="col col-md-4 col-lg-4 col-sm-12 col-12"> 

                                        <div class="form-group">
                                            <label for="karyawan_l">Jumlah Tenaga Kerja (L)</label>
                                            <input type="number" name="karyawan_l" class="form-control" min="0" id="karyawan_l" placeholder="Jumlah Karyawan laki-laki" required> 
                                        </div>

                                        <div class="form-group">
                                            <label for="karyawan_p">Jumlah Tenaga Kerja (P)</label>
                                            <input type="number" name="karyawan_p" class="form-control" min="0" id="karyawan_p" placeholder="Jumlah Karyawan perempuan" required> 
                                        </div>


                                        <div class="form-group">
                                            <label for="kelurahan">Kelurahan</label>
                                            <select name="kelurahan" class="form-control" id="kelurahan" required>
                                            <option value="">--Pilih Kelurahan--</option>
                                            <?php foreach($listkelurahan as $kelurahan){?>
                                                <option value="<?php echo $kelurahan->kelurahan?>"><?php echo $kelurahan->kelurahan?></option>
                                            <?php } ?>
                                            </select>
                                        </div>

                                        <div class="form-group">
                                            <label for="alamat">Alamat</label>
                                            <textarea name="alamat" class="form-control" id="alamat" rows="4" placeholder="Tuliskan alamat lengkapt UMKM.." required></textarea>
                                        </div>

                                    </div>
                                    <div class="col col-md-4 col-lg-4 col-sm-12 col-12"> 
                                        <div class="form-group">
                                            <label for="telp">No Telp Umkm</label>
                                            <input type="text" name="telp" class="form-control" id="telp" placeholder="No Telp Umkm" required>
                                        </div>

                                        <div class="form-group">
                                            <label for="deskripsi">Deskripsi</label>
                                            <textarea name="deskripsi" class="form-control" id="deskripsi" rows="4" placeholder="Uraikan deskripsi singkat UMKM.."></textarea>
                                        </div>

                                        <div class="form-group">
                                            <label for="foto_umkm">Foto UMKM</label>
                                            <input type="file" accept=".jpg,.jpeg,.png,.gif" name="foto_umkm" class="form-control-file" id="foto_umkm">
                                        </div>
                                    </div>
                                    <div class="col col-12">
                                        <hr> 
                                        <button type="submit" class="btn btn-primary">Simpan</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                        

                        </div>
                    </div>
                </div>
           </div>

       </div>
    </div>
    

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="<?php echo base_url()?>assets/js/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="<?php echo base_url()?>assets/js/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="<?php echo base_url()?>assets/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script src="<?php echo base_url()?>assets/js/jquery.dataTables.min.js"></script>
    <script src="<?php echo base_url()?>assets/js/dataTables.bootstrap4.min.js"></script>
    <script src="<?php echo base_url()?>assets/js/sweetalert.min.js"></script>

    <script>
        $(document).ready(function() {
            $('#tabeldata').DataTable();
        } );
    </script>
  </body>
</html>